### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card-label.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-card-label`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-card-label.component.html`

### Index

###### Properties

- className
- role

###### Methods

- getCssClasses

###### Inputs

- variant
- class
- e2eAttr

###### HostBindings

- attr.role
- class.ecl-card__label-item

### Inputs

variant
Type : `"low" | "medium" | "high" | "highlight"`
Default value : `'low'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`

class.ecl-card__label-item
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-card__label-item')`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""